function difang=AngDiff(ange,angi)

%AngDiff  Calculates the shorter difference between two angles
%
% difang=AngDiff(ange,angi)
% ange: first angle
% angi: second angle
% difang: shorter difference, taking into accound the discontinuities

% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 8: Monte Carlo II
% Autores: Eva Besada-Portas, Sergey M. Plis


%ange-angi
difang=ange-angi;
k=find(difang>pi);
difang(k)=difang(k)-2*pi;
k=find(difang<-pi);
difang(k)=difang(k)+2*pi;

